<div style="margin-top: 20px;">
	<h5>
		<span>Input Penerimaan BPKB & STNK</span>
	</h5>

	<br>
	<br>

	<div class="row" *ngIf="refNumber === undefined">
		<div class="col-md-4">
			<div class="form-group">
				<label class="form-control-label">No. Reference</label>
				<input class="form-control" type="text" name="no_ref" [(ngModel)]="refNumber" readonly>
			</div>

			<div class="form-group">
				<label class="form-control-label">Tgl. Reference</label>
				<input class="form-control" type="text" name="tgl_ref" [(ngModel)]="refDate" readonly>
			</div>

			<div class="form-group">
				<label class="form-control-label">Biro Jasa</label>
				<input class="form-control" type="text" name="vendor" [(ngModel)]="idVendor" readonly>
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group" >
					<label class="form-control-label">Qty Terima</label>
					<input class="form-control" type="text" name="receiptQty" [(ngModel)]="receiptQty" currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
			</div>

			<div class="form-group">
				<label class="form-control-label">Nominal</label>
				<input class="form-control" type="text" name="receiptNominal" [(ngModel)]="receiptNominal" currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
			</div>
		</div>
		<div class="col-md-4"></div>
	</div>

	<div class="row" *ngIf="refNumber !== undefined">
		<div class="col-md-4">
			<div class="form-group">
				<label class="form-control-label">No. Reference</label>
				<input class="form-control" type="text" name="no_ref1" [(ngModel)]="refNumber" readonly>
			</div>

			<div class="form-group">
				<label class="form-control-label">Tgl. Reference</label>
				<input class="form-control" type="text" name="tgl_ref1" [(ngModel)]="refDate" readonly>
			</div>

			<div class="form-group">
				<label class="form-control-label">Biro Jasa</label>
				<input class="form-control" type="text" name="vendor1" [(ngModel)]="idVendor" readonly>
			</div>
		</div>
		<div class="col-md-4">
				<div class="form-group" >
						<label class="form-control-label">Qty Terima</label>
						<div *ngIf="updateSTNK === true || refNumber != null">
						<input class="form-control" type="text" name="receiptQty" [(ngModel)]="receiptQty" readonly  currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
						</div>
						<div *ngIf="updateSTNK === false && refNumber === null">
						<input class="form-control" type="text" name="receiptQty" [(ngModel)]="receiptQty" currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
						</div>
				</div>

			<div class="form-group">
				<label class="form-control-label">Nominal</label>
				<input class="form-control" type="text" name="receiptNominal1" [(ngModel)]="receiptNominal" currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
			</div>
		</div>
		<div class="col-md-4"></div>
	</div>

	<hr>


	<form name="editForm" role="form" (ngSubmit)="addItem()" #editForm="ngForm">
		<div class="row">	
			<div class="col-md-4">
				<div class="form-group">
					<label class="form-control-label">No. Rangka</label>
					<input class="form-control" type="text" name="idFrame" [(ngModel)]="unitDeliverable.vehicleDocumentRequirement.vehicle.idFrame" required>
				</div>
				<div class="form-group">
					<label class="form-control-label">No. Mesin</label>
					<input class="form-control" type="text" name="idMachine" [(ngModel)]="unitDeliverable.vehicleDocumentRequirement.vehicle.idMachine" required>
				</div>
				<div class="form-group">
					<label class="form-control-label">No. Polisi</label>
					<input class="form-control" type="text" name="policenumber" [(ngModel)]="unitDeliverable.vehicleDocumentRequirement.requestPoliceNumber">
				</div>
				<div class="form-group">
					<button type="button" class="btn btn-primary" [disabled]="isChecking" (click)="checkUnitOnSL()">
						<span>CHECK</span>
					</button>
				</div>
			</div>
			<div class="col-md-4">
				<div class="form-group">
					<p-checkbox name="input_platNomor" label="Plat Nomor" styleClass="form-check-input" binary="true" [(ngModel)]="checkPlatNomor" (onChange)="onChangePlatNomor($event)"></p-checkbox>
					{{ unitDeliverable.platNomor | date:'dd-MM-yyyy' }}
				</div>
				<div class="form-group">
					<p-checkbox name="input_notice" label="Notice" styleClass="form-check-input" binary="true" [(ngModel)]="checkNotice" (onChange)="onChangeNotice($event)"></p-checkbox>
					{{ unitDeliverable.notice | date:'dd-MM-yyyy' }}
				</div>
				<div class="form-group">
					<p-checkbox name="input_STNK" label="STNK" styleClass="form-check-input" binary="true" [(ngModel)]="checkStnk" (onChange)="onChangeSTNK($event)"></p-checkbox>
					{{ unitDeliverable.stnk | date:'dd-MM-yyyy' }}
				</div>
				<div class="form-group">
					<p-checkbox name="input_BPKB" label="BPKB" styleClass="form-check-input" binary="true" [(ngModel)]="checkBpkb" (onChange)="onChangeBPKB($event)"></p-checkbox>
					{{ unitDeliverable.bpkb | date:'dd-MM-yyyy' }}
				</div>

				<div class="form-group">
					<label class="form-control-label">No. BPKB</label>
					<input class="form-control" type="text" name="noBPKB" [(ngModel)]="unitDeliverable.bpkbNumber">
				</div>
				<div class="form-group">
					<label class="form-control-label">No. Polisi</label>
					<input class="form-control" type="text" name="noPolisi" [(ngModel)]="unitDeliverable.vehicleDocumentRequirement.requestPoliceNumber">
				</div>
			</div>
			<div class="col-md-4">
				<div class="form-group">
					<label class="form-control-label">Biaya Pengurusan</label>
					<input class="form-control" type="text" name="costHandling" [(ngModel)]="costHandling"
					currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
				</div>
				<div class="form-group">
					<label class="form-control-label">Biaya Lain-lain</label>
					<input class="form-control" type="text" name="costOther" [(ngModel)]="otherCost"
					currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }">
				</div>
			</div>
		</div>

		<div class="row">
			<div class="col-md-12">
				<div class="pull-right">
					<button type="submit" class="btn btn-primary" [disabled]="isSaving"><span>Tambah</span></button>
				</div>
			</div>
		</div>
	</form>

	<hr>

	<p-dataTable
		[value]="unitDeliverables"
		[editable]="true"
		[rows]="itemsPerPage"
		[paginator]="true"
		[pageLinks]="5"
		[rowsPerPageOptions]="[10,15,20]"
		[totalRecords]="totalItems"
		[responsive]="true"
		dataKey="idRequirement"
		expandableRows="false">
		<p-header>

		</p-header>
		<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
		<p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
			<ng-template let-rowIndex="rowIndex" pTemplate="body">
				{{rowIndex + 1}}
			</ng-template>
		</p-column>
		<p-column header="No. Rangka">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicleDocumentRequirement.vehicle.idFrame}}
			</ng-template>
		</p-column>
		<p-column header="No. Mesin">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicleDocumentRequirement.vehicle.idMachine}}
			</ng-template>
		</p-column>
		<p-column header="Biaya Pengurusan">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicleDocumentRequirement.costHandling}}
			</ng-template>
		</p-column>
		<p-column header="Biaya Lain-lain">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.vehicleDocumentRequirement.otherCost}}
			</ng-template>
		</p-column>
		<p-column header="Tgl. Plat Nomor">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.platNomor | date:'dd-MM-yyyy'}}
			</ng-template>
		</p-column>
		<p-column header="Tgl. Notice">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.notice | date:'dd-MM-yyyy'}}
			</ng-template>
		</p-column>
		<p-column header="Tgl. STNK">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.stnk | date:'dd-MM-yyyy'}}
			</ng-template>
		</p-column>
		<p-column header="No. BPKB">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.bpkbNumber}}
			</ng-template>
		</p-column>
		<p-column header="Tgl. BPKB">
			<ng-template let-rowData="rowData" pTemplate="body">
				{{rowData.bpkb | date:'dd-MM-yyyy'}}
			</ng-template>
		</p-column>
		<p-column header="{{'mpmApp.vehicleDocumentRequirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
			<ng-template let-rowData="rowData" pTemplate="body">
				<a (click)="removeItem(rowData)">Delete</a>
			</ng-template>
		</p-column>
		<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
		</ng-template>
	</p-dataTable>

	<hr>

	<div class="row">
		<div class="col-md-4">
			<label class="form-control-label col-md-12">Qty Terima</label>
			<label class="form-control-label col-md-12">
				: {{ receiptQty }} Pcs
			</label>

			<label class="form-control-label col-md-12">Qty yg sudah diinput</label>
			<label class="form-control-label col-md-12">
				: {{ unitDeliverables.length }} Pcs
			</label>
		</div>

		<div class="col-md-4">
			<label class="form-control-label col-md-12">Nominal Terima</label>
			<label class="form-control-label col-md-12">
				: Rp. {{ receiptNominal | number}}
			</label>

			<label class="form-control-label col-md-12">Nominal yg sudah diinput</label>
			<!-- <input class="form-control" type="text" name="totalInput" [(ngModel)]="totalInput" currencyMask [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }" readonly> -->
			<label class="form-control-label col-md-12">
				: Rp. {{ totalInput | number }}
			</label>
		</div>
		<div class="col-md-4"></div>
	</div>

	<div class="row">
		<div class="col-md-12">
			<div class="pull-right">
				<button type="button" class="btn btn-primary" (click)="saveList()"><span>Simpan</span></button>
				<a class="btn btn-secondary" [routerLink]="['../list-reference']"  (click)="cleardata()">Kembali</a>
			</div>
		</div>
	</div>

</div>
<div style="margin-top: 10px;"></div>

<p-dialog header="Peringatan Keras" [(visible)]="showPesan" [modal]="true" [width]="400" [responsive]="true">
	<div class="row">
	<div class="col-sm-12">
		inputan anda sudah melebihi qty terima yang seharusnya
	</div>
	</div>
</p-dialog>

<p-confirmDialog></p-confirmDialog>